Skip to content

Once you've retrieved the available user actions, use this request to retrieve the details for a specific user action.

GET/api/{version}/vobjects/{object_name}/{object_record_id}/actions/{action_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
object_nameThe object name__v field value.
object_record_idThe object record id field value from which to retrieve user action details.
action_nameEither the name of the Objectaction or Objectlifecyclestateuseraction to initiate. This is obtained from the Retrieve User Actions request.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c
{ "responseStatus": "SUCCESS", "data": { "links": [ { "rel": "metadata", "accept": "application/json", "Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c", "method": "GET" }, { "rel": "execute", "accept": "application/json", "Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c", "method": "POST" } ], "label": "Copy Record", "type": "object_action", "name": "Objectaction.product__v.copy_record__c" } }

On SUCCESS, the response returns metadata for the specified object action.

  • For users with the View permission, the response includes a link to retrieve the metadata for the specified user action.
  • For users without the View permission, the response returns an INSUFFICIENT_ACCESS error.
  • For users with the Execute permission, the response includes a link to initiate the specified action.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c
{ "responseStatus": "SUCCESS", "data": { "links": [ { "rel": "metadata", "accept": "application/json", "Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c", "method": "GET" }, { "rel": "execute", "accept": "application/json", "Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c", "method": "POST" } ], "label": "Copy Record", "type": "object_action", "name": "Objectaction.product__v.copy_record__c" } }

On SUCCESS, the response lists the fields that must be configured with values in order to initiate the user action. These are based on the controls configured in the workflow start step.

  • For users with the View permission, the response includes a link to retrieve the metadata for the specified user action.
  • For users without the View permission, the response returns an INSUFFICIENT_ACCESS error.
  • For users with the Execute permission on the action, the response includes a link to initiate the specified action.

For actions with the type: workflow, the following types of controls may be returned:

NameDescription
instructionsContains static instruction text regarding workflow initiation.
participantUsed to specify users who will be part of the workflow.
dateDate selections for the workflow, such as due date.
fieldAll object fields requiring values.

For each control, the following data may be returned: